QGIS Application - Feature request #12857
PostGIS layer with CurvePolygon geometry type does not load
2015-06-01 07:48 PM - Jeremy Palmer

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: Data Provider/PostGIS

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 20950
Description

Using the latest master build of QGIS | can not load PostGIS layers with CurvePolygon geometry type. The QGIS layer browser does not
show the layer as a selectable node. | can add the layer via the PostGIS connection dialog, but the layer geometries do not show on the
map canvas.

You can test this with the following data (using GDAL 2.0 beta):

ogr2ogr -f PostgreSQL "PG:dbname=jpalmer"
WEFS:"https://data.linz.govt.nz/services;key=59f2aaa148bd4818994fa0d3ca36f7e1/wfs/layer-328 ?service=WFS&request=GetCapabil
pabilities" -nin topo_50_river_poly_linear -lco GEOMETRY_NAME=shape -Ico FID=t50_fid -nlt CONVERT_TO_LINEAR

ogr2ogr -f PostgreSQL "PG:dbname=jpalmer"
WEFS:"https://data.linz.govt.nz/services;key=59f2aaal148bd4818994fa0d3ca36f7e1/wfs/layer-328 ?service=WFS&request=GetCapabil
pabilities" -lco GEOMETRY_NAME=shape -Ico FID=t50_fid

History

#1 - 2015-06-02 12:06 AM - Jiirgen Fischer
- Tracker changed from Bug report to Feature request

#2 - 2015-06-02 12:11 AM - Jiirgen Fischer
- Target version changed from Version 2.10 to Future Release - High Priority

#3 - 2015-06-02 12:40 AM - Marco Hugentobler

- Assignee changed from Jiirgen Fischer to Marco Hugentobler

#4 - 2015-06-02 08:29 AM - Marco Hugentobler

https://github.com/qgis/QGIS/pull/2104 should fix this one

#5 - 2015-06-02 12:25 PM - Jeremy Palmer

Thanks Marco. Does this PR also fix PostGIS browser so the layer item will display?

| can't test this pull at the moment as | haven't setup my build environment.

#6 - 2015-06-02 01:26 PM - Marco Hugentobler

It fixes the display when adding via the postgres dialog. The browser display is an additional issue
https://github.com/qgis/QGIS/pull/2104

#7 - 2015-06-02 01:44 PM - Jeremy Palmer

Ok thanks

#8 - 2015-06-04 09:02 AM - Marco Hugentobler
- Status changed from Open to Closed

Adding from browser works now too.
